Bug 400521 - Review Request: qemu-launcher - A graphical front-end to Qemu virtual machines
Review Request: qemu-launcher - A graphical front-end to Qemu virtual machines
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 22:50 EST by Nicholas Boyle
Modified: 2008-01-11 17:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-09 17:25:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicholas Boyle 2007-11-26 22:50:01 EST
Spec URL: http://nboyle.fedorapeople.org/qemu-launcher.spec
SRPM URL: http://nboyle.fedorapeople.org/qemu-launcher-1.7.4-1.fc8.src.rpm

Description: Qemu Launcher provides a graphical front-end to all basic, and many advanced QEMU computer emulator options. It allows you to create, save, and run multiple virtual machine configurations, create and convert disk images.
Comment 1 Parag AN(पराग) 2007-12-01 08:02:12 EST
rpmlint gave
qemu-launcher.i386: E: no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries.

Comment 2 Nicholas Boyle 2007-12-01 13:25:42 EST
(In reply to comment #1)
> rpmlint gave
> qemu-launcher.i386: E: no-binary
> The package should be of the noarch architecture because it doesn't contain
> any binaries.

Done.

Updated file:
Spec URL: http://nboyle.fedorapeople.org/qemu-launcher.spec
SRPM URL: http://nboyle.fedorapeople.org/qemu-launcher-1.7.4-1.fc8.src.rpm

I also caught some other changes to make:

Changed group to Applications/Emulators

I'm no longer patching the Makefile.  Until I saw an example in another spec
file, it wasn't obvious to me that it was possible to change Makefile variables
in the make install command (ex: make install PREFIX="/usr"), but I get that
now.  :)

I've left the patch for the desktop file, as I'm not sure of any other elegant
way to handle alterations to that.
Comment 4 Parag AN(पराग) 2007-12-03 22:38:29 EST
need one more update here
1)directory is not owned by package?
/usr/share/qemu-launcher

2) any specific need to have %clean as
rm -rf %{buildroot}/%{prefix} and not simple rm -rf %{buildroot}

3) good to keep timestamps of files from upstream tarball
http://fedoraproject.org/wiki/Packaging/Guidelines#head-0239576e441f9ef53d175c4aec8c12868dffb5ab
=>you may like to patch Makefile for that.

Comment 5 Nicholas Boyle 2007-12-04 22:56:07 EST
(In reply to comment #4)
> need one more update here
> 1)directory is not owned by package?
> /usr/share/qemu-launcher

I was globbing the files in /usr/share/qemu-launcher, instead of just specifying
the directory.  Fixed.

> 2) any specific need to have %clean as
> rm -rf %{buildroot}/%{prefix} and not simple rm -rf %{buildroot}

No good reason I know of.  Fixed.

> 3) good to keep timestamps of files from upstream tarball

I grabbed a timestamp preserved copy from upstream, and am now patching the
Makefile to preserve timestamps on install.


Updated files:
http://nboyle.fedorapeople.org/qemu-launcher.spec
http://nboyle.fedorapeople.org/qemu-launcher-1.7.4-3.fc8.src.rpm

Comment 6 Parag AN(पराग) 2007-12-06 22:08:59 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
bd71fd543bd2723c7ea54de81f7ccabf  qemu-launcher_1.7.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ gtk-update-icon-cache scriptlets are used.
+ Desktop files installed correctly.
+ GUI app.

APPROVED.

Comment 7 Nicholas Boyle 2007-12-07 12:17:23 EST
New Package CVS Request
=======================
Package Name: qemu-launcher
Short Description: A graphical front-end to Qemu virtual machines
Owners: nboyle
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2007-12-07 19:56:41 EST
cvs done.
Comment 9 Nicholas Boyle 2007-12-09 17:25:35 EST
Package built for F-7, F-8 and, rawhide.  Closing ticket.
Comment 10 Fedora Update System 2007-12-10 15:46:58 EST
qemu-launcher-1.7.4-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qemu-launcher'
Comment 11 Fedora Update System 2007-12-10 15:48:28 EST
qemu-launcher-1.7.4-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qemu-launcher'
Comment 12 Fedora Update System 2008-01-11 17:12:27 EST
qemu-launcher-1.7.4-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-01-11 17:20:01 EST
qemu-launcher-1.7.4-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.